> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update customer ownerships



## OpenAPI

````yaml /openapi.json put /v1/customers/{customer_pk}/ownerships/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customers/{customer_pk}/ownerships/:
    put:
      tags:
        - Customer Ownerships
      summary: Update customer ownerships
      operationId: v1_customers_ownerships_update
      parameters:
        - in: path
          name: customer_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/CustomerOwnership'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerOwnership'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    CustomerOwnership:
      type: object
      properties:
        sales_team_id:
          type: string
          format: uuid
        rep_link_id:
          type: string
          format: uuid
          nullable: true
        reps:
          type: array
          items:
            $ref: '#/components/schemas/ThinRep'
          readOnly: true
      required:
        - rep_link_id
        - reps
        - sales_team_id
    ThinRep:
      type: object
      properties:
        id:
          type: string
          format: uuid
        identifier:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
      required:
        - id
        - identifier
        - name
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````